using System;
using Server;

namespace Server.Items
{
	public class StrongManaElixir : BaseManaElixir
	{
		public override int MinMana { get{ return 20; } }
		public override int MaxMana { get{ return 25; } }
		public override double Delay { get{ return 10.0; } }

		[Constructable]
		public StrongManaElixir( ) : base( PotionEffect.ManaStrong )
		{
			Name = "elixir of mana";
			ItemID = 0x2037;
		}

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );
			list.Add( 1070722, "Strong" );
		}

		public StrongManaElixir( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}